Package org.apache.tomcat.util.buf

## Class CharsetCache

- java.lang.Object
- - org.apache.tomcat.util.buf.CharsetCache

-     public class CharsetCache
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CharsetCache()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.nio.charset.Charset` | `getCharset​(java.lang.String charsetName)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CharsetCache

          public CharsetCache()

  - ### Method Detail

    - #### getCharset

          public java.nio.charset.Charset getCharset​(java.lang.String charsetName)